assert = require('assert')
XML = require(__dirname + '/../xml').XML

describe 'XML', ()->
    describe 'convert()', ()->
        it 'should return json', ()->
            xml = "<xml><ToUserName><![CDATA[toUser]]></ToUserName><FromUserName><![CDATA[fromUser]]></FromUserName> <CreateTime>1348831860</CreateTime><MsgType><![CDATA[text]]></MsgType><Content><![CDATA[this is a test]]></Content><MsgId>1234567890123456</MsgId></xml>"

            XML.ifConvert(xml).then (json)->
                assert.equal(json.ToUserName, "toUser")
            , (err)->
                throw err
        
        it 'should assert invalid xml', ()->
            xml = "<xml2></xml2>"

            XML.ifConvert(xml).then (xml)->
                assert.equal(xml, xml)
            , (err)->
                throw err

        it 'should just return for json', ()->
            data = 
                success : true
            XML.ifConvert(data).then (json)->
                assert.equal(json.success, true)
            , (err)->
                throw err    
